# library

abstract fun library(alias: String, group: String, artifact: String): VersionCatalogBuilder.LibraryAliasBuilder

Entry point for registering a library alias.

#### Return

a builder for this alias, to finish the version configuration

#### Since

7.4

#### Parameters

alias

the alias of the library

group

the group of the library

artifact

the artifact ID of the library

abstract fun library(alias: String, groupArtifactVersion: String)

Declare a library alias in full. This does not return a builder, as the declaration is fully complete. Use library if you need a more complex version declaration.

Note that declaring a classifier or extension using this method is not possible.

#### Since

7.4

#### Parameters

alias

the alias of the library

groupArtifactVersion

the `group:artifact:version` string, all components are required